package com.eactive.eai.rms.common.acl.iocm;

import java.util.HashMap;
import java.util.List;

import org.springframework.stereotype.Repository;

import com.eactive.eai.rms.common.base.SqlMapClientForMonitoringTemplateDao;

@Repository("iocmProcDao")
@SuppressWarnings({"deprecation","unchecked"})
public class IocmProcDao extends SqlMapClientForMonitoringTemplateDao {

	public int selectListCount(HashMap<String, Object> paramMap) throws Exception {
		return (Integer) this.template.queryForObject("IocmProc.selectListCount", paramMap);
	}

	public List<HashMap<String, Object>> selectList(HashMap<String, Object> paramMap) throws Exception {
		return (List<HashMap<String, Object>>) this.template.queryForList("IocmProc.selectList", paramMap);
	}

    public List selectListToExcel(HashMap paramMap) throws Exception {
    	return template.queryForList("IocmProc.selectListToExcel", paramMap);
    }
}
